var system=require("../../system")
var settings=require("../../../config/settings");
const CtlBase = require("../ctl.base");
class WxCtl extends CtlBase{
   constructor(){
     super(CtlBase.getServiceName(WxCtl));

   }
   async fetchOAuthPath(q,obj,req){
     var appk=obj.apk;
     var subfixstr=obj.subfix;
     if(appk==""){
       appk=null;
     }
     if(subfixstr==""){
       subfixstr=null;
     }
     var result=await this.service.fetchOAuthPath(appk,subfixstr);
     return system.getResult2(result,null);
   }
   async getJsApiConfig(q,obj){
     console.log("getJsApiConfig.......................");
     console.log(obj.url);
     var result=await this.service.getJsApiConfig(null,obj.url);
     return system.getResult2(result,null);
   }
}
module.exports=WxCtl;
